Google Maps Reviews Endpoint
Return Google Maps reviews for one place.
Getting Started
Send your API key as a bearer token. Start with the smallest request below.
Run Google Maps Reviews
Send the smallest useful request and read the structured response.
curl -X POST "https://api.datablue.dev/v1/data/google/maps/reviews" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data_id": "0x3bae1549cc5cf6f5:0x3b9120fad40e4ffc",
"num_results": 2
}'{
"success": true,
"time_taken": 1.666,
"place": {
"title": "Third Wave Coffee - Koramangala",
"address": "4th Block, 1, 984, 80 Feet Rd, Maharaja Signal, Koramangala, Bengaluru, Karnataka 560034",
"rating": 4.4,
"total_reviews": 5024,
"logo": "https://lh3.googleusercontent.com/grass-cs/AABkmLeVP6IpdOaF317X3CuX5ifrUs5EbFbUNjNFW_HW-k9oj7GPW0A5G..."
},
"topics": [],
"reviews": [
{
"review_id": "Ci9DQUlRQUNvZENodHljRjlvT200MFZrMUZVa3hPZDBNMVpUWnpURVo0V0hFNE1rRRAB",
"author_name": "Sid",
"author_url": "https://www.google.com/maps/contrib/117573709247859118030/reviews?hl=en-IN",
"author_review_count": 19,
"author_photo_count": 16,
"author_is_local_guide": true,
"profile_photo_url": "https://lh3.googleusercontent.com/a-/ALV-UjWS0TUWQnVE8YwCqbFFxryzIqcKwwwCS305aqdxbosAmLbi484=s64-c-r...",
"rating": 5,
"text": "I love this cafe. Being on the first floor, you know just sets a nice vibe. Frappes are good. Would...",
"relative_time": "2 months ago",
"published_at": "2026-08-23T13:47:11Z",
"language": "en",
"likes": 1,
"details": {
"food": 5,
"service": 4,
"atmosphere": 5
},
"source": "Google",
"images": [
"https://lh3.googleusercontent.com/grass-cs/AABkmLeeXkob9gLhguIggkPj5M4WaRMcFWRinyBQfLdxjSaVvsuxe_StW..."
],
"source_url": "https://www.google.com/maps/reviews/data=!4m8!14m7!1m6!2m5!1sCi9DQUlRQUNvZENodHljRjlvT200MFZrMUZVa3h..."
},
{
"review_id": "Ci9DQUlRQUNvZENodHljRjlvT2xkbk5tUlRSVWhZVTFOcmFETlFRa00wUWpkalIxRRAB",
"author_name": "Arunothia Marappan",
"author_url": "https://www.google.com/maps/contrib/103439516475623477402/reviews?hl=en-IN",
"author_review_count": 558,
"author_photo_count": 4465,
"author_is_local_guide": true,
"profile_photo_url": "https://lh3.googleusercontent.com/a-/ALV-UjUEfefuVqq7lYJO_mUkiEp0JQvnXVxb9iQ_aN7TJaHsoBFeMohtyw=s64-...",
"rating": 4,
"text": "The ambience and service were lovely! We thoroughly enjoyed the blueberry cheesecake, OG chocolate c...",
"relative_time": "5 months ago",
"published_at": "2026-06-02T09:24:44Z",
"language": "en",
"likes": 0,
"details": {
"food": 4,
"service": 5,
"atmosphere": 5
},
"source": "Google",
"images": [
"https://lh3.googleusercontent.com/grass-cs/AABkmLfhJ2pObZT2-4aKihwQoGM1Lpy8YG_kp1eoaBetYw7HN-u9YaKKh...",
"https://lh3.googleusercontent.com/grass-cs/AABkmLcT1O9VmCzm28YMlPIiAOGdsOX8yTJZPIDPk-DXrFiqgf155R10_..."
],
"source_url": "https://www.google.com/maps/reviews/data=!4m8!14m7!1m6!2m5!1sCi9DQUlRQUNvZENodHljRjlvT2xkbk5tUlRSVWh..."
}
],
"next_page_token": "eyJjdXJzb3IiOiJDakVJQVJJcENnb0FQN19MQUdQNF9fX19FaENxcXdsQi1hTll6UTlJMVo0QUFBQUFHZ245MlA0Q1lYaFpyUHNZ...",
"has_more": true
}Options
Query and Target
Set the search term, identifier, or source URL that defines the request.
curl -X POST "https://api.datablue.dev/v1/data/google/maps/reviews" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data_id": "0x3bae1549cc5cf6f5:0x3b9120fad40e4ffc",
"num_results": 2,
"place_id": "ChIJEXAMPLE",
"cid": "1234567890123456789"
}'{
"success": true,
"time_taken": 1.666,
"place": {
"title": "Third Wave Coffee - Koramangala",
"address": "4th Block, 1, 984, 80 Feet Rd, Maharaja Signal, Koramangala, Bengaluru, Karnataka 560034",
"rating": 4.4,
"total_reviews": 5024,
"logo": "https://lh3.googleusercontent.com/grass-cs/AABkmLeVP6IpdOaF317X3CuX5ifrUs5EbFbUNjNFW_HW-k9oj7GPW0A5G..."
},
"topics": [],
"reviews": [
{
"review_id": "Ci9DQUlRQUNvZENodHljRjlvT200MFZrMUZVa3hPZDBNMVpUWnpURVo0V0hFNE1rRRAB",
"author_name": "Sid",
"author_url": "https://www.google.com/maps/contrib/117573709247859118030/reviews?hl=en-IN",
"author_review_count": 19,
"author_photo_count": 16,
"author_is_local_guide": true,
"profile_photo_url": "https://lh3.googleusercontent.com/a-/ALV-UjWS0TUWQnVE8YwCqbFFxryzIqcKwwwCS305aqdxbosAmLbi484=s64-c-r...",
"rating": 5,
"text": "I love this cafe. Being on the first floor, you know just sets a nice vibe. Frappes are good. Would...",
"relative_time": "2 months ago"
}
],
"next_page_token": "eyJjdXJzb3IiOiJDakVJQVJJcENnb0FQN19MQUdQNF9fX19FaENxcXdsQi1hTll6UTlJMVo0QUFBQUFHZ245MlA0Q1lYaFpyUHNZ...",
"has_more": true
}Results and Pagination
Control how many records or pages are returned.
curl -X POST "https://api.datablue.dev/v1/data/google/maps/reviews" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data_id": "0x3bae1549cc5cf6f5:0x3b9120fad40e4ffc",
"num_results": 10
}'{
"success": true,
"time_taken": 1.666,
"place": {
"title": "Third Wave Coffee - Koramangala",
"address": "4th Block, 1, 984, 80 Feet Rd, Maharaja Signal, Koramangala, Bengaluru, Karnataka 560034",
"rating": 4.4,
"total_reviews": 5024,
"logo": "https://lh3.googleusercontent.com/grass-cs/AABkmLeVP6IpdOaF317X3CuX5ifrUs5EbFbUNjNFW_HW-k9oj7GPW0A5G..."
},
"topics": [],
"reviews": [
{
"review_id": "Ci9DQUlRQUNvZENodHljRjlvT200MFZrMUZVa3hPZDBNMVpUWnpURVo0V0hFNE1rRRAB",
"author_name": "Sid",
"author_url": "https://www.google.com/maps/contrib/117573709247859118030/reviews?hl=en-IN",
"author_review_count": 19,
"author_photo_count": 16,
"author_is_local_guide": true,
"profile_photo_url": "https://lh3.googleusercontent.com/a-/ALV-UjWS0TUWQnVE8YwCqbFFxryzIqcKwwwCS305aqdxbosAmLbi484=s64-c-r...",
"rating": 5,
"text": "I love this cafe. Being on the first floor, you know just sets a nice vibe. Frappes are good. Would...",
"relative_time": "2 months ago"
}
],
"next_page_token": "eyJjdXJzb3IiOiJDakVJQVJJcENnb0FQN19MQUdQNF9fX19FaENxcXdsQi1hTll6UTlJMVo0QUFBQUFHZ245MlA0Q1lYaFpyUHNZ...",
"has_more": true
}Location and Language
Localize results with country, language, coordinates, or delivery-location fields.
curl -X POST "https://api.datablue.dev/v1/data/google/maps/reviews" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data_id": "0x3bae1549cc5cf6f5:0x3b9120fad40e4ffc",
"num_results": 2,
"language": "en",
"country": "us"
}'{
"success": true,
"time_taken": 1.666,
"place": {
"title": "Third Wave Coffee - Koramangala",
"address": "4th Block, 1, 984, 80 Feet Rd, Maharaja Signal, Koramangala, Bengaluru, Karnataka 560034",
"rating": 4.4,
"total_reviews": 5024,
"logo": "https://lh3.googleusercontent.com/grass-cs/AABkmLeVP6IpdOaF317X3CuX5ifrUs5EbFbUNjNFW_HW-k9oj7GPW0A5G..."
},
"topics": [],
"reviews": [
{
"review_id": "Ci9DQUlRQUNvZENodHljRjlvT200MFZrMUZVa3hPZDBNMVpUWnpURVo0V0hFNE1rRRAB",
"author_name": "Sid",
"author_url": "https://www.google.com/maps/contrib/117573709247859118030/reviews?hl=en-IN",
"author_review_count": 19,
"author_photo_count": 16,
"author_is_local_guide": true,
"profile_photo_url": "https://lh3.googleusercontent.com/a-/ALV-UjWS0TUWQnVE8YwCqbFFxryzIqcKwwwCS305aqdxbosAmLbi484=s64-c-r...",
"rating": 5,
"text": "I love this cafe. Being on the first floor, you know just sets a nice vibe. Frappes are good. Would...",
"relative_time": "2 months ago"
}
],
"next_page_token": "eyJjdXJzb3IiOiJDakVJQVJJcENnb0FQN19MQUdQNF9fX19FaENxcXdsQi1hTll6UTlJMVo0QUFBQUFHZ245MlA0Q1lYaFpyUHNZ...",
"has_more": true
}Filters and Sorting
Narrow or order the returned records.
curl -X POST "https://api.datablue.dev/v1/data/google/maps/reviews" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data_id": "0x3bae1549cc5cf6f5:0x3b9120fad40e4ffc",
"num_results": 2,
"sort_by": "most_relevant"
}'{
"success": true,
"time_taken": 1.666,
"place": {
"title": "Third Wave Coffee - Koramangala",
"address": "4th Block, 1, 984, 80 Feet Rd, Maharaja Signal, Koramangala, Bengaluru, Karnataka 560034",
"rating": 4.4,
"total_reviews": 5024,
"logo": "https://lh3.googleusercontent.com/grass-cs/AABkmLeVP6IpdOaF317X3CuX5ifrUs5EbFbUNjNFW_HW-k9oj7GPW0A5G..."
},
"topics": [],
"reviews": [
{
"review_id": "Ci9DQUlRQUNvZENodHljRjlvT200MFZrMUZVa3hPZDBNMVpUWnpURVo0V0hFNE1rRRAB",
"author_name": "Sid",
"author_url": "https://www.google.com/maps/contrib/117573709247859118030/reviews?hl=en-IN",
"author_review_count": 19,
"author_photo_count": 16,
"author_is_local_guide": true,
"profile_photo_url": "https://lh3.googleusercontent.com/a-/ALV-UjWS0TUWQnVE8YwCqbFFxryzIqcKwwwCS305aqdxbosAmLbi484=s64-c-r...",
"rating": 5,
"text": "I love this cafe. Being on the first floor, you know just sets a nice vibe. Frappes are good. Would...",
"relative_time": "2 months ago"
}
],
"next_page_token": "eyJjdXJzb3IiOiJDakVJQVJJcENnb0FQN19MQUdQNF9fX19FaENxcXdsQi1hTll6UTlJMVo0QUFBQUFHZ245MlA0Q1lYaFpyUHNZ...",
"has_more": true
}Additional Options
Set endpoint-specific options for this request.
curl -X POST "https://api.datablue.dev/v1/data/google/maps/reviews" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data_id": "example",
"num_results": 2,
"topic_id": "example",
"next_page_token": "example"
}'{
"success": true,
"time_taken": 1.666,
"place": {
"title": "Third Wave Coffee - Koramangala",
"address": "4th Block, 1, 984, 80 Feet Rd, Maharaja Signal, Koramangala, Bengaluru, Karnataka 560034",
"rating": 4.4,
"total_reviews": 5024,
"logo": "https://lh3.googleusercontent.com/grass-cs/AABkmLeVP6IpdOaF317X3CuX5ifrUs5EbFbUNjNFW_HW-k9oj7GPW0A5G..."
},
"topics": [],
"reviews": [
{
"review_id": "Ci9DQUlRQUNvZENodHljRjlvT200MFZrMUZVa3hPZDBNMVpUWnpURVo0V0hFNE1rRRAB",
"author_name": "Sid",
"author_url": "https://www.google.com/maps/contrib/117573709247859118030/reviews?hl=en-IN",
"author_review_count": 19,
"author_photo_count": 16,
"author_is_local_guide": true,
"profile_photo_url": "https://lh3.googleusercontent.com/a-/ALV-UjWS0TUWQnVE8YwCqbFFxryzIqcKwwwCS305aqdxbosAmLbi484=s64-c-r...",
"rating": 5,
"text": "I love this cafe. Being on the first floor, you know just sets a nice vibe. Frappes are good. Would...",
"relative_time": "2 months ago"
}
],
"next_page_token": "eyJjdXJzb3IiOiJDakVJQVJJcENnb0FQN19MQUdQNF9fX19FaENxcXdsQi1hTll6UTlJMVo0QUFBQUFHZ245MlA0Q1lYaFpyUHNZ...",
"has_more": true
}Response
Read success first, then consume the endpoint-specific records and pagination fields shown below.
Error Handling
Handle 401 for authentication, 422 for invalid input, 429 for limits, and retry only transient failures.
